moyenne : ex2.o moyenne_val.o
	gcc -ansi -pedantic moyenne ex2.o moyenne_val.o

moyenne_val.o : moyenne_val.c moyenne_val.h
	gcc -ansi -pedantic moyenne_val.c

ex2.o : ex2.c moyenne_val.h
	gcc -ansi -pedantic ex2.c